﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows.Input;
using FileHelpers;
using GalaSoft.MvvmLight.Command;

namespace WpfApplication1
{
    class ViewModel
    {
        private ObservableCollection<GRASPRecord> _activeResults; 
        public ViewModel()
        {
            FileHelperEngine engine = new FileHelperEngine(typeof(GRASPRecord));

            _activeResults = new ObservableCollection<GRASPRecord>(engine.ReadFile("56 - Ironbark country (DU)-1.end") as GRASPRecord[]);

            

            
        }

        public ICommand ButtonCommand
        {
            get { return new RelayCommand(ButtonCommandExecute, CanButtonCommandExecute); }
        }

        private bool CanButtonCommandExecute()
        {
            return true;
        }

        private void ButtonCommandExecute()
        {
            GraphWindow gw = new GraphWindow();
            gw.Show();
        }
        public ObservableCollection<GRASPRecord> ActiveResults
        {
            get { return _activeResults; }
        }
    }
    [Serializable]
    [IgnoreFirst(1)]
    [FixedLengthRecord()]
    public class GRASPRecord
    {
        [FieldFixedLength(8)]
        [FieldConverter(ConverterKind.Date, "yyyyMMdd")]
        public DateTime Date;

        [FieldFixedLength(8)]
        public float Rain;

        [FieldFixedLength(8)]
        public float TSDM;

        [FieldFixedLength(8)]
        public float Growth;

        [FieldFixedLength(8)]
        public float Cover;

        [FieldFixedLength(8)]
        public float Runoff;

        [FieldFixedLength(8)]
        public float SoilLoss;

        [FieldFixedLength(8)]
        public float LWG;

        [FieldFixedLength(8)]
        public float Beasts;

        [FieldFixedLength(8)]
        public float Eaten;

        [FieldFixedLength(8)]
        public float RadCover;
    }
}
